# Contributing

Thank you for your interest in contributing to **Live Audio Capture**! We welcome contributions from everyone, whether you're fixing a bug, adding a feature, or improving documentation.

---

## Getting Started

1. **Fork the repository** on GitHub.
2. **Clone your fork** to your local machine:
   ```bash
   git clone https://github.com/sami-rajichi/live_audio_capture.git
   ```
3. **Create a new branch** for your changes:
   ```bash
   git checkout -b your-branch-name
   ```

---

## Setting Up the Development Environment

1. **Install Python**: Ensure you have Python 3.9 or higher installed.
2. **Install Dependencies**:
   ```bash
   pip install -r requirements.txt
   pip install -e .
   ```
3. **Install FFmpeg**: Follow the installation instructions in the [Installation Guide](installation.md).

---

## Making Changes

1. **Follow the Project Structure**:
   - Code lives in the `live_audio_capture/` directory.
   - Tests are in the `tests/` directory.
   - Examples are in the `examples/` directory.
2. **Write Clear and Concise Code**: Ensure your code is easy to read and understand.
3. **Add Documentation**: Update the relevant documentation if your changes introduce new features or modify existing behavior.

---

## Submitting a Pull Request

1. **Push Your Changes**:
   ```bash
   git push origin your-branch-name
   ```
2. **Open a Pull Request**:
   - Go to the [GitHub repository](https://github.com/sami-rajichi/live_audio_capture).
   - Click **New Pull Request**.
   - Select your branch and provide a clear description of your changes.
3. **Address Feedback**: Be responsive to feedback and make necessary updates to your pull request.

---

## Thank You!

Your contributions help make **Live Audio Capture** better for everyone. We appreciate your time and effort!